Subject: Re: bug#35683: wishlist: addessing statefulness of .cache(s)

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 12 May 2019 11:32:42 +0200

> --8<---------------cut here---------------start------------->8---
> What should we do about this?  For gdm I think it would make sense to
> add an activation service extension that clears the gdm user’s home
> directory.  And more generally, maybe we should offer a generic cache
> cleaner service.

I don't like that workaround much.  I mean for the time being I guess it's
OK, but let's file bug reports upstream so they are aware of the problem.

Better would be if the cache directory contained a "cache-protocol-version"
file or something and make the client program heed it and make it clear the
cache if it's the wrong version, without any Guix special case (the problem
is not not Guix-specific anyway).

It's not exactly difficult.   Most of the time the bug reports just don't
get filed--and cache invalidation is always an afterthought when 
implementing a cache (sadly).

If they say no we can still keep the workaround.